package com.extensibility.plugin.api;

import java.io.File;

public interface ResLocationContext extends PluginContext {
   void okSave(URIScheme var1);

   void okOpen(URIScheme var1);

   void cancel();

   void setOKEnabled(boolean var1);

   File askFile(String var1, String[] var2);

   URIScheme getBaseLocation();

   URIScheme createResLocation(URIScheme var1, String var2);

   URIScheme createResLocation(File var1);

   LoginPanel getLoginPanel(String[] var1, String var2, String var3, String var4);

   TreeBrowseContext createBrowsing(TreeBrowseModel var1, TreeBrowseListener var2);
}
