package com.extensibility.plugin.api;

import java.io.Writer;

public interface URIVersionedAccess {
   int CHECKOUT_OK = 0;
   int CHECKOUT_ERR_CHECKED_OUT = 1;
   int CHECKOUT_ERR_OLDER_VERSION = 2;
   int CHECKOUT_FAILED = 3;
   int CHECKIN_OK = 0;
   int CHECKIN_ERR_INACCESSIBLE = 1;
   int CHECKIN_ERR_CONFLICTS = 2;

   int checkoutItem();

   Writer checkinItem();

   int uncheckoutItem();

   boolean isCheckedOut();
}
