package com.extensibility.plugin.xcaccess;

import java.awt.Container;
import java.awt.Frame;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.Window;
import javax.swing.JComboBox;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.border.BevelBorder;

public class SaveInfoDlg extends JDialog {
   public boolean proceed = false;
   public String strNotes;
   public String strVersionLabel;
   public String strStage;
   private JTextArea tfNotes;
   private JTextField tfVersionLabel;
   private JComboBox cbStage;

   public SaveInfoDlg(Frame var1) {
      super(var1, XCUI.getString("dialog.saveinfo.title"), true);
      this.prepare();
   }

   protected void prepare() {
      Container var1 = ((JDialog)this).getContentPane();
      GridBagLayout var2 = new GridBagLayout();
      GridBagConstraints var3 = new GridBagConstraints();
      var1.setLayout(var2);
      var3.insets = new Insets(4, 4, 4, 4);
      var3.anchor = 18;
      var3.weighty = (double)0.0F;
      XCUI.addLabel(var1, var3, "saveinfo.notes");
      this.tfNotes = new JTextArea((String)null, 3, 40);
      this.tfNotes.setLineWrap(true);
      JScrollPane var4 = new JScrollPane(this.tfNotes);
      var4.setVerticalScrollBarPolicy(22);
      ((JComponent)var4).setBorder(new BevelBorder(1));
      var3.weightx = (double)1.0F;
      var3.gridwidth = 0;
      var3.fill = 2;
      var1.add(var4, var3);
      XCUI.addLabel(var1, var3, "saveinfo.verlabel");
      var3.weightx = (double)1.0F;
      var3.gridwidth = 0;
      var3.fill = 2;
      this.tfVersionLabel = XCUI.createTextField();
      var1.add(this.tfVersionLabel, var3);
      XCUI.addLabel(var1, var3, "saveinfo.stage");
      var3.weightx = (double)1.0F;
      var3.gridwidth = 0;
      var3.fill = 2;
      this.cbStage = new JComboBox();
      var1.add(this.cbStage, var3);
      XCUI.ButtonStrip var5 = XCUI.createOkCancel(new FunctionListener(this, "onOK"), new FunctionListener(this, "dispose"));
      var3.weightx = (double)1.0F;
      var3.gridwidth = 0;
      var3.fill = 2;
      var1.add(var5.strip, var3);
      ((Window)this).pack();
      XCUI.centerInOwner(this);
   }

   public void onOK() {
      this.proceed = true;
      this.strNotes = this.tfNotes.getText();
      this.strVersionLabel = this.tfVersionLabel.getText();
      ((Window)this).dispose();
   }
}
